#ifndef TALDALIEXAMPLE_HH
#define TALDALIEXAMPLE_HH

#include "TArtAnaLoop.hh"

#include "TROOT.h"
#include "TH2.h"

#include "TArtDALIParameters.hh"
#include "TArtCalibDALI.hh"

class TAlDALIExample : public virtual TArtAnaLoop
{
public:
  TAlDALIExample();
  virtual ~TAlDALIExample();

protected:
  virtual void Construct();
  virtual void Calculate();
  virtual void Destruct();

  TH2 *hnai_adc; // adc distribution
  TH2 *hnai_tdc; // adc distribution

  TArtDALIParameters *daliparameters;
  TArtCalibDALI *calibdali;

public:
  virtual const char* ClassName() const;

  ClassDef(TAlDALIExample,1);
};

#endif
