#ifndef _TARTFRAGMENT_H_
#define _TARTFRAGMENT_H_

#include "TArtDataObject.hh"

class TArtFragment : public TArtDataObject {

 public:
  TArtFragment(){fBrho=-9999;fTof=-9999;fZet=-9999;}
  virtual ~TArtFragment(){}

  // set reconstructed values
  virtual void SetBrho(Double_t val){fBrho=val;}
  virtual void SetTOF (Double_t val){fTof=val;}
  virtual void SetZet (Double_t val){fZet=val;}

  // get reconstructed values
  virtual Double_t GetBrho(){return fBrho;}
  virtual Double_t GetTOF (){return fTof;}
  virtual Double_t GetZet (){return fZet;}

 private:

  // reconstructed value
  Double_t fBrho;
  Double_t fTof;
  Double_t fZet;

  ClassDef(TArtFragment,1)

};
#endif
