// SAMURAI Fragment reconstruction class
// 

#ifndef _TARTRECOFRAGMENT_H_
#define _TARTRECOFRAGMENT_H_

#include "TArtReconstruction.hh"

class TClonesArray;
class TArtStoreManager;

class TArtRecoFragment : public TArtReconstruction {

public:

  TArtRecoFragment();
  virtual ~TArtRecoFragment();

  virtual void ClearData();
  virtual void ReconstructData();

private:

  TClonesArray * fFragmentArray;
  TArtStoreManager * sman;

  ClassDef(TArtRecoFragment,1)

};

#endif
