#include "TArtCalibDCTrack.hh" 
#include "TArtCalibFDC2Track.hh" 
#include "TArtCore.hh" 

#include <TROOT.h>
#include <TMath.h>

//__________________________________________________________
TArtCalibFDC2Track::TArtCalibFDC2Track(Double_t intdt, Double_t tz) : TArtCalibDCTrack("SAMURAIFDC2Hit","SAMURAIFDC2Track","XXUUVVXXUUVVXX")
{
  TArtCore::Info(__FILE__,"Creating the FDC2 detector track objects...");
  pitch = 20; // mm 
  tdczero = tz;
  driftv = pitch * 0.5 / intdt; // mm/tdc
}

//__________________________________________________________
TArtCalibFDC2Track::~TArtCalibFDC2Track()  {
}

