#ifndef TANEBULALEXAMPLE_HH
#define TANEBULALEXAMPLE_HH

#include "TArtAnaLoop.hh"

#include "TArtCalibCoin.hh"
#include "TArtCalibNEBULA.hh"
#include "TArtNEBULAPla.hh"
#include "TArtNEBULAPlaPara.hh"
#include "TArtSAMURAIParameters.hh"

class TAlNEBULAExample : public virtual TArtAnaLoop
{
public:
  TAlNEBULAExample();
  TAlNEBULAExample(int fFlag);
  virtual ~TAlNEBULAExample();

protected:
  virtual void Construct();
  virtual void Calculate();
  virtual void Destruct();

  //  void FillCoin();
  void FillNEBULA();

  //  TArtCalibCoin *calibcoin;
  TArtCalibNEBULA *calibnebula;
  TArtSAMURAIParameters* samuraiparameters;

  void SetFilterFlag(int filterflag);
  int fFilterFlag;

public:
  virtual const char* ClassName() const;

  ClassDef(TAlNEBULAExample,1);
};

#endif
