#ifndef TALSAMURAIAllEXAMPLE_HH
#define TALSAMURAIAllEXAMPLE_HH

#include "TObject.h"

#include "TAlSAMURAICoinExample.hh"
#include "TAlNEBULAExample.hh"
#include "TAlDALIExample.hh"
#include "TAlSAMURAIPlaExample.hh"
#include "TAlSAMURAIHODExample.hh"
#include "TAlSAMURAIDCExample.hh"

#include "TArtAnaFile.hh"

#include <vector>

class TAlSAMURAIAllExample
  : public TAlSAMURAICoinExample,
    public TAlNEBULAExample, public TAlDALIExample,
    public TAlSAMURAIPlaExample, public TAlSAMURAIHODExample,
    public TAlSAMURAIDCExample
{
public:
  TAlSAMURAIAllExample();
  TAlSAMURAIAllExample(int nebulaflag);
  TAlSAMURAIAllExample(std::vector<int> analyser_v);
  TAlSAMURAIAllExample(std::vector<int> analyser_v, int nebulaflag);
  ~TAlSAMURAIAllExample();

protected:
  void Construct();
  void Calculate();
  void Destruct();

  void SetAnalyser(std::vector<int> analyser_v);

public:
  const char* ClassName() const;

  ClassDef(TAlSAMURAIAllExample,1);
};

#endif
